monitor_info_t Struct Reference
Public interface » ID macros » Hardware information

monitor (DDC) data More...

`#include <hd.h>`

## Data Fields

unsigned | manu_year
unsigned | manu_week
unsigned | min_vsync
unsigned | max_vsync
| vsync range
unsigned | min_hsync
unsigned | max_hsync
| hsync range
unsigned | clock
| pixel clock in kHz
unsigned | width
unsigned | height
| display size
unsigned | width_mm
unsigned | height_mm
| dto, in mm
unsigned | hdisp
unsigned | hsyncstart
unsigned | hsyncend
unsigned | htotal
| h_timings
unsigned | vdisp
unsigned | vsyncstart
unsigned | vsyncend
unsigned | vtotal
| v_timings
char | hflag
char | vflag
| h/v flags
char * | vendor
char * | name
char * | serial

## Detailed Description

monitor (DDC) data

The documentation for this struct was generated from the following file:

- hd.h